<?php
    require_once "model_conexion.php";
    class Modelo_Comunicado extends ConexionDB{
        public function Listar_Comunicado(){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_LISTAR_COMUNICADO()";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->execute();
            $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
            foreach($resultado as $resp){
                $arreglo["data"][]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }
        public function Listar_Comunicado_Area($idarea){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_LISTAR_COMUNICADO_AREA_ORIGEN(?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$idarea); 
            $query->execute();
            $resultado = $query->fetchAll(PDO::FETCH_ASSOC);
            foreach($resultado as $resp){
                $arreglo["data"][]=$resp;
            }
            return $arreglo;
            conexionDB::cerrar_conexion();
        }
        public function Registrar_Comunicado($com,$ard,$idarea){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_REGISTRAR_COMUNICADO(?,?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$com); 
            $query->bindParam(2,$ard); 
            $query->bindParam(3,$idarea); 
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }
        public function Modificar_Comunicado($idcom,$ard,$com,$esta){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_MODIFICAR_COMUNICADO(?,?,?,?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$idcom); 
            $query->bindParam(2,$ard);
            $query->bindParam(3,$com);
            $query->bindParam(4,$esta);
            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }

        public function Eliminar_Comunicado($id){
            $c = conexionDB::conexionPDO();
            $sql = "CALL SP_ELIMINAR_COMUNICADO(?)";
            $arreglo = array();
            $query  = $c->prepare($sql);
            $query->bindParam(1,$id); 

            $query->execute();
            if($row = $query->fetchColumn()){
                return $row;
            }
            conexionDB::cerrar_conexion();
        }

    }
?>